# class Chef::ChefFS::FileSystem::MemoryRoot

### Attributes

cannot_be_in_regex[R]

### Public Class Methods

new(pretty_name, cannot_be_in_regex = nil) click to toggle source
Calls superclass method Chef::ChefFS::FileSystem::MemoryDir.new

    # File lib/chef/chef_fs/file_system/memory_root.rb, line 7
    def initialize(pretty_name, cannot_be_in_regex = nil)
      super('', nil)
      @pretty_name = pretty_name
      @cannot_be_in_regex = cannot_be_in_regex
    end

### Public Instance Methods

path_for_printing() click to toggle source

    # File lib/chef/chef_fs/file_system/memory_root.rb, line 15
    def path_for_printing
      @pretty_name
    end